BEEM - Android XMPP - Bug #230

Crash when receiving a message sent by my account but on another resource
01/07/2010 04:41 PM - Romain Vimont

Status: Closed Start date: 01/07/2010
Priority: Normal Due date:

Assignee: Nikita Kozlov % Done: 100%
Category: Communication Estimated time: 0.00 hour
Target version: 0.1.4

Affected version: hg Locale:

Description

I am connected twice with the same account : once on my computer (rom1v@jabber.fr/laptop) and once on my phone (
rom1v@jabber.fr/phone).

On the computer, with Gajim (all don't do that), | can send a message to another connected resource of the same account : | see
myself in the contact list without having to add myself as a contact. When | sent such a message to my resource "phone", my phone
doesn't show the message and beem crashes.

| tested with Jabiru (http:/jabiru.mzet.net/), another jabber client for android which is not maintainne anymore, and it works. So it
should be a bug in beem.

(je ne vais pas toujours traduire mes bug reports, mais vu que j'avais commencé par le frangais, autant le laisser)

Je suis connecté deux fois avec le méme compte : une fois sur mon pc (rom1v@jabber.fr/laptop) et une fois sur mon téléphone (
rom1v@jabber.fr/phone).

Sur le pc, grace a Gajim (tous ne le font pas), je peux envoyer un message a une autre ressource connectée du méme compte : je
me vois en tant que connecté sans méme m'étre ajouté a ma liste de contacts. Lorsque j'envoie un tel message a ma ressource
"phone", mon téléphone n'affiche pas le message et ¢a fait planter beem.

J'ai testé avec Jabiru (http:/jabiru.mzet.net/), un autre client jabber pour android qui ne semble plus maintenu, et la ¢a fonctionne. Ca
doit donc étre un bug dans beem.

History

#1 - 01/07/2010 05:03 PM - Frédéric Barthéléry

- Subject changed from Crash lors de I'envoi d'un message a partir d'une autre ressource du méme compte to Crash when receiving a message sent
by my account but on another resource

#2 - 01/12/2010 09:16 PM - Romain Vimont

It doesn't crash anymore, but | don't receive the message...

#3 - 03/18/2010 02:13 AM - Nikita Kozlov
- Status changed from New to Assigned

- Assignee set to Nikita Kozlov

- Target version set to 0.1.3

- Affected version set to hg

#4 - 04/07/2010 02:03 AM - Frédéric Barthéléry

- Target version changed from 0.1.3 to 0.2

#5 - 04/22/2010 12:56 AM - Frédéric Barthéléry
- Status changed from Assigned to Resolved

- Target version changed from 0.2 to 0.1.4

Seems to be solved on trunk on r726. may be since the 0.1.3 release.

#6 - 05/07/2010 06:22 PM - Nikita Kozlov
- % Done changed from 0 to 100

Work for me.
Anyone has that bug recently ?

#7 - 06/24/2010 11:56 AM - Frédéric Barthéléry

- Status changed from Resolved to Closed
